Request source upload URL
curl --request POST \
--url https://api.rafftechnologies.com/api/v1/apps/services/{service_id}/source-upload \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rafftechnologies.com/api/v1/apps/services/{service_id}/source-upload"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rafftechnologies.com/api/v1/apps/services/{service_id}/source-upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"upload_url": "<string>",
"blob_key": "<string>",
"expires_in_seconds": 123
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Deployments
Request source upload URL
Get a presigned URL to upload a source tarball (gzipped). After the
upload completes, create a deployment with the returned blob_key.
POST
/
api
/
v1
/
apps
/
services
/
{service_id}
/
source-upload
Request source upload URL
Authorizations
API key for authentication. Each key is bound to a specific account.
Path Parameters
App service ID (UUID) or short id (the service_id field)
Last modified on August 26, 2026
⌘I